#include <stdio.h>

int main () {
  int m, r, n, i, j, sum=0;
  scanf("%d %d", &m, &n);
  
  if(m<=0 || n<=0 || n>m)
  {
    printf("-1\n");
    return 0;
  }
  int f=0;
  for(i=1;i<=m-n+1;i++){
    sum=0;
    j=i;
    while(j<i+n){
      sum=sum+j;
      j++;
    }
    
    
    printf("%d\n", sum);
   
  }
   
  
 
    return 0;
}
    
     
